import { H as n } from "./index-162fd1aa.mjs";
import e from "react";
import "./dateFns-2367ee5b.mjs";
import "./validator-61879ab7.mjs";
import "./reactPlayer-2f69f369.mjs";
import "react-router-dom";
import "./reactSlick-cb4a2d39.mjs";
const o = "paymentSuccessCallbackContainer _paymentSuccessCallbackContainer_24017", a = {
  paymentSuccessCallbackContainer: o
};
class d extends e.Component {
  componentDidMount() {
    n.isDesktopApp() || (window.opener && window.opener.postMessage(window.location.href, "*"), window.parent.postMessage(window.location.href, window.location.origin));
  }
  render() {
    return /* @__PURE__ */ e.createElement("div", { className: a.paymentSuccessCallbackContainer });
  }
}
export {
  d as default
};
